package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */

@TableName("USER_GROUP")

public class UserGroup extends Model<UserGroup> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("USER_GROUP")
   private String userGroup;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("WORKSTATION_BO")
   private String workstationBo;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField(exist = false)
   private String messageNoticeLevel;
   @TableField(exist = false)
   private String messageNoticeTime;
   @TableField(exist = false)
   private String messageDutyTime;
   @TableField(exist = false)
   private String messageResolveTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getUserGroup() {
      return userGroup;
   }

   public void setUserGroup(String userGroup) {
      this.userGroup = userGroup;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getWorkstationBo() {
      return workstationBo;
   }

   public void setWorkstationBo(String workstationBo) {
      this.workstationBo = workstationBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getMessageNoticeLevel() {
      return messageNoticeLevel;
   }

   public void setMessageNoticeLevel(String messageNoticeLevel) {
      this.messageNoticeLevel = messageNoticeLevel;
   }

   public String getMessageNoticeTime() {
      return messageNoticeTime;
   }

   public void setMessageNoticeTime(String messageNoticeTime) {
      this.messageNoticeTime = messageNoticeTime;
   }

   public String getMessageDutyTime() {
      return messageDutyTime;
   }

   public void setMessageDutyTime(String messageDutyTime) {
      this.messageDutyTime = messageDutyTime;
   }

   public String getMessageResolveTime() {
      return messageResolveTime;
   }

   public void setMessageResolveTime(String messageResolveTime) {
      this.messageResolveTime = messageResolveTime;
   }

   public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String USER_GROUP = "USER_GROUP";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String WORKSTATION_BO = "WORKSTATION_BO";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "UserGroup{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", userGroup = " + userGroup +
         ", description = " + description +
         ", workstationBo = " + workstationBo +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}